import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { Series } from "./Series";
/**
 * @hidden
 */
export declare class CommodityChannelIndexIndicator extends StrategyBasedIndicator {
    static $t: Type;
    protected bi(): Series;
    protected get_abm(): IndicatorCalculationStrategy;
    protected get abm(): IndicatorCalculationStrategy;
    protected get_abz(): Type;
    protected get abz(): Type;
    get ab7(): number;
    set ab7(a: number);
    static readonly ab8: DependencyProperty;
    protected abs(): number;
    ab1(a: number): void;
}
